// © 2025 Naked People Team. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Character.h"
#include "NPC.generated.h"

class ANPC;

DECLARE_MULTICAST_DELEGATE_OneParam(FOnNPCDestroyed, ANPC* NPC);

UCLASS()
class NAKEDDESIRE_API ANPC : public ACharacter
{
	GENERATED_BODY()

public:
	ANPC();
	
	FOnNPCDestroyed OnDestroyed;

protected:
	virtual void Destroyed() override;
};
